/************************************************************************
 * NASA Docket No. GSC-18,719-1, and identified as “core Flight System: Bootes”
 *
 * Copyright (c) 2020 United States Government as represented by the
 * Administrator of the National Aeronautics and Space Administration.
 * All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ************************************************************************/

/**
 * \file
 * \ingroup ut-stubs
 *
 * OSAL coverage stub replacement for shellLib.h
 */

#ifndef OCS_SHELLLIB_H
#define OCS_SHELLLIB_H

#include "OCS_basetypes.h"
#include "OCS_vxWorks.h"

/* ----------------------------------------- */
/* constants normally defined in shellLib.h */
/* ----------------------------------------- */

/* ----------------------------------------- */
/* types normally defined in shellLib.h */
/* ----------------------------------------- */

/* ----------------------------------------- */
/* prototypes normally declared in shellLib.h */
/* ----------------------------------------- */

extern OCS_STATUS OCS_shellGenericInit(const char *config, int stackSize, const char *shellName, char **pShellName,
                                       OCS_BOOL interactive, OCS_BOOL loginAccess, int fdin, int fdout, int fderr);

#endif /* OCS_SHELLLIB_H */
